﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Runtime.Serialization

<Serializable()> _
Public Class OrdersBO
    Inherits MicroFour.StrataFrame.Business.BusinessLayer

#Region " Constructors "

	''' <summary>
    ''' Initializes a new instance of the OrdersBO class.
    ''' </summary>
    ''' <remarks></remarks>
    <System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Public Sub New()
        MyBase.New()
        'This call is required by the Component Designer.
        Me.InitializeComponent()
        '-- Add the necessary handlers
        Me.AddHandlers()
    End Sub

    ''' <summary>
    ''' Initializes a new instance of the OrdersBO class.
    ''' </summary>
    ''' <param name="Container">The IContainer to which this object will be added.</param>
    ''' <remarks></remarks>
    <System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Public Sub New(ByVal Container As System.ComponentModel.IContainer)
        MyBase.New()
        'This call adds the component to the given container.
        Container.Add(Me)
        'This call is required by the Component Designer.
        Me.InitializeComponent()
        '-- Add the necessary handlers
        Me.AddHandlers()
    End Sub

    ''' <summary>
    ''' Initializes a new instance of the OrdersBO class.
    ''' </summary>
    ''' <param name="info">The SerializationInfo for the object.</param>
    ''' <param name="context">The StreamingContext for the source stream.</param>
    ''' <remarks></remarks>
    Protected Sub New(ByVal info As SerializationInfo, ByVal context As StreamingContext)
        MyBase.New(info, context)
        'This call is required by the Component Designer.
        Me.InitializeComponent()
        '-- Add the necessary handlers
        Me.AddHandlers()
    End Sub
    
    ''' <summary>
    ''' Adds the necessary handlers for the OrdersBO class.
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub AddHandlers()
		AddHandler Me.CheckRulesOnCurrentRow, AddressOf OrdersBO_CheckRulesOnCurrentRow
		AddHandler Me.SetDefaultValues, AddressOf OrdersBO_SetDefaultValues
    End Sub
    
#End Region 

#Region " Data Retrieval Methods "

    ''' <summary>
    ''' Get the List of Orders by Customer
    ''' </summary>
    ''' <param name="cust_pk"></param>
    ''' <remarks></remarks>
    Public Sub FillByCustomerPK(ByVal cust_pk As Integer)
        Using cmd As New SqlCommand()
            cmd.CommandText = String.Format("Select * From {0} WHERE or_cust_pk={1}", Me.TableName, cust_pk)
            Me.FillDataTable(cmd)
        End Using
    End Sub


#End Region

#Region " Event Handlers "

    ''' <summary>
    ''' Checks the business rules on the current row
    ''' </summary>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub OrdersBO_CheckRulesOnCurrentRow(ByVal e As MicroFour.StrataFrame.Business.CheckRulesEventArgs)

    End Sub

    ''' <summary>
    ''' Sets the default values for a new row
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub OrdersBO_SetDefaultValues()

    End Sub

#End Region

End Class
